<ng-container *ngIf="!showAddCommunication">
  <div class="communication-panel">
    <div class="container">
      <button class="btn btn-primary mb-3" (click)="previewAddCommunication()">Add Communication</button>

      <simpliflysaas-communication-list (onEdit)="showEditCommunication($event)"></simpliflysaas-communication-list>
    </div>
  </div>
</ng-container>

<ng-container *ngIf="showAddCommunication">
  <div class="container">
    <div class="communication-panel">
      <!-- <button class="btn btn-primary mb-3" (click)="goBack()">Back</button> -->
      <simpliflysaas-add-communication (onBack)="showCommunicationList($event)"></simpliflysaas-add-communication>
    </div>
  </div>
</ng-container>